Page MenuHomePhabricator

Civi dedupe: merge screen upgrades
Closed, ResolvedPublic8 Story Points

Description

The dedupe interface is generally awesome, but I have two feature requests that have emerged from frequent users.

  1. Adding a line item for the middle name field would be helpful, and spare agents from having to hop out of the merge screen for cases where the record we're merging has a middle initial but the record we're keeping does not.
  1. We talked about this one at this week's DS checking. For every merge, agents have to scroll down the merge screen to view the Last Donated field, as the most recent details entered by the donor are usually the most accurate. The proposed remedies were two:

    a) Make it so that the CID with the most recent donation date defaults to being on Right side of the interface.

    b) Make it so that the top factors used by agents when merging populate at the top of the list. The main factors used by DS agents are: firstname, lastname, email address, home address, last_donated date.

It's likely that the MG team uses different criteria when merging. @LeanneS, would either of these two possibilities for changing how records appear in the merge window be more or less helpful? If b), what are the top factors MG uses when merging?

Details

Related Gerrit Patches:
wikimedia/fundraising/crm : masterAdd pagination and 'later' button to dedupe screen
wikimedia/fundraising/crm : masterRestore colour coding on dedupe screen

Event Timeline

MBeat33 created this task.Mar 8 2019, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2019, 5:10 PM

Additional notes:

  1. Middle initial is becoming really important during the prospecting process
  1. I am looking at 2 things in particular when it comes to the merging I do.

I generally am looking for the oldest record to merge all other data into. As we sometimes find records created by the previous development department that has prospecting notes. It would be helpful if a "Date created" field were moved the top. I then am looking at last donation date to determine which contact information will become the primary information in the future.

Hope this is helpful!

@MBeat33 I think these requests would be useful! I also usually use the oldest record to merge any pertinent new data into when merging two records. Re: 2a., would the default on the right side of the interface result in the older record being considered as the duplicate and then getting merged into the newer one?

I think it could be fine to switch the default as long as all prospect info, activities, groups, etc get moved over as the default, similarly to the way contribution data gets moved over by default. If not, that could cause some issues for us.

Middle name would be very useful. I think we mostly use the same factors as DS. I would just also add organization name to the top (for org records).

Thanks, @LeanneS and @NNichols

Leanne, re: your question about 2a (would the default on the right side of the interface result in the older record being considered as the duplicate and then getting merged into the newer one?), the column on the right is the one whose data is kept, and the left column is considered the duplicate which gets merged (deleted).

If moving fields upwards in the interface is the path forward, it sounds like adding oldest record, last donation date, and organization name would all be helpful.

@MBeat33 @NNichols @LeanneS the middle name field DOES show up for me locally - but ONLY if one of the contacts has a middle name - do you have an example on live where the middle name is hidden AND one of the contacts has a middle name?

Eileenmcnaughton added a comment.EditedMar 26 2019, 3:13 AM

@MBeat33 There is something you can do right now to help you on the flip thing - I am pretty sure they are always sorted with lower id on the left & higher on the right - since they are sequential the lower id is created first. You CAN select them in bulk & 'flip' them see 'Flip selected duplicates' button in the screen shot to reverse that

I'll have to test it but flip=1 in the url might do the same thing

Change 499369 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Restore colour coding on dedupe screen

https://gerrit.wikimedia.org/r/499369

I've linked in https://phabricator.wikimedia.org/T188141 which relates to the middle name - I'm wondering if the issue with middle names is actually around confusion where the middle_name is in the first_name field - anyway some examples would help

@MBeat33 in the vein of things that are not technical but might help - do you ever use the button 'show/hide rows with the same details' (bottom button on this screen)

On the middle name - I found an example - but it's showing the middle name ... civicrm/contact/merge?reset=1&cid=26469608&oid=30188795 -

OK another thought - I can see from your request to have the most recent on the right that you are keeping the most recent contact (not just transferring their details to the other contact). The question I have is whether it makes sense to 'make this work' given that both Major Gifts AND the automated script are keeping the older contact

I realise the request for more relevant information at the tap stands whichever we put on the right hand side

Change 499369 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Restore colour coding on dedupe screen

https://gerrit.wikimedia.org/r/499369

I did some work on this already - getting the hover & the modified date (or was it the created date) into prominence on the merge screen. I have been tinkering a bit with other ideas on the url-generator screen as it's easier to work there than to edit the core screens & all sorts of limits disappear in that context

Change 514206 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Add pagination and 'later' button to dedupe screen

https://gerrit.wikimedia.org/r/514206

Change 514206 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Add pagination and 'later' button to dedupe screen

https://gerrit.wikimedia.org/r/514206

@MBeat33 I feel like we could open some follow on tasks here as we get feedback but maybe close this main one?

Eileenmcnaughton closed this task as Resolved.Jun 25 2019, 8:23 PM
Eileenmcnaughton set the point value for this task to 8.Jun 27 2019, 6:08 AM